// RightManagement Brand CSS
// --------------------------------------------------

// initialise Bootstrap variables as required
$body-bg: #fff;
$text-color: #444;
$link-color: #6698c2;
$font-family-sans-serif: Verdana, Helvetica, Arial, sans-serif;
$font-family-serif: Verdana, Helvetica, Arial, sans-serif;
$font-size-base: 12px;
$font-size-h1: 32px;
$font-size-h3: 1.2em;
$font-size-h4: 1.1em;
$font-size-h5: 1em;
$font-size-h6: 1em;
$btn-font-weight: normal;
$btn-default-color: #878684;
$btn-default-bg: #eee;
$btn-default-border: #ccc;
$btn-primary-color: #878684;
$btn-primary-bg: #eee;
$btn-primary-border: #ccc;
$btn-border-radius-base: 4px;
$panel-border-radius: 0;
$input-border-radius: 4px;

// import Bootstrap SCSS
@import "../../Assets/Css/Bootstrap/bootstrap";

// override non-configurable Bootstrap styling
label {
	font-weight: normal;
}


// Font Awesome
// ---------------------------------------------------

// initialise Font Awesome variables
$fa-font-path: "../../Assets/Fonts";

// import Font Awesome SCSS
@import "../../Assets/Css/FontAwesome/font-awesome";


// First import the default SCSS files
@import "../../Assets/Css/Focus.Career";

@import "../../Assets/Css/Focus";

@import "../../Assets/Css/Focus.Career.JobSearch";

@import "../../Assets/Css/Focus.Career.ResumeWizard";

// Now override styles as required below

// Setup some Right Management global variables
$DefaultTextColour: #444;
$DefaultFontSize: 12px;
$DefaultFontFamily: Verdana, Helvetica, Arial, sans-serif;
$DefaultBorderColour: #878684;
$Orange100: #e77c22;
$Orange75: #ed9d59;
$Orange50: #f3bd90;
$Orange25: #f9dec8;
$Blue100: #466ea5;
$Blue75: #6887b6;
$Blue50: #8ea3c8;
$Blue25: #bec9df;
$LightBlue100: #6390c6;
$LightBlue75: #81a4d2;
$LightBlue50: #a4bcdd;
$LightBlue25: #ccd8eb;
$Red100: #ab404b;
$Red75: #b96767;
$Red50: #ca908c;
$Red25: #e1c1bc;
$Green100: #6e8f82;
$Green75: #8aa49a;
$Green50: #a8bbb3;
$Green25: #ccd7d2;


body {
  select.ListBox {
		font-size: $DefaultFontSize;
	}
	.genericTable {
		th {
			font-size: $DefaultFontSize;
			color: $DefaultTextColour;
			background: $LightBlue25;
			border-top: 1px solid $LightBlue50;
			a {
				color: $DefaultTextColour;
			}
			td {
				background: $LightBlue25;
			}
		}
		a {
			color: $DefaultTextColour;
		}
		td {
			color: $DefaultTextColour;
			font-size: $DefaultFontSize;
		}
		tr.nonSpideredJobSearchResult {
			td {
				background-color: lighten($LightBlue25, 5);
			}
		}
		&.withHeader {
			th {
				td {
					font-size: $DefaultFontSize;
				}
			}
		}		
	}
	.FocusCareer {
		.genericTable {
			th {
				background: $LightBlue25;
				font-size: $DefaultFontSize;
			}
		}
	}
}

a {
	text-decoration: underline;
	&:link, &:visited {
		color: $link-color;
		text-decoration: underline;
	}
	&:hover {
		text-decoration: underline;
	}
}

hr {
	height: 1px;
	background: $DefaultBorderColour;
}

h1 {
	font-family: Arial, Helvetica, sans-serif;
	color: #000;
	padding: 20px 0 20px 0;
	&:before {
		content: "";
		width: 49px;
		height: 49px;
		background: url(Images/sprite-rm-symbols.png) -112px 8px no-repeat;
		float: left; 
		margin: 0 6px 2px 0;
		position: relative;
		top: -6px;
	}
	span {
		font-family: Arial, Helvetica, sans-serif;
	}
}

#header {
	background-color: #fff !important;
	#headerTopWrap {
		background-color: #fff !important;
		padding: 0;
	}
	#MainLogoImageWrapper {
		margin-left: 0;
	}
}

#toolbarTop {
  right: 0;
}

.usernameSpeechBubble {
  margin-right: 10px;
}

.usernameSpeechBubbleLeft {
  display: none;
}

.usernameSpeechBubbleRight {
  background: none;
}

.usernameSpeechBubbleText {
  color: $Orange100;
  font-size: 18px;
}

.smallFontSize, .mediumFontSize, .largeFontSize {
  color: #666 !important;
}

.smallFontSize {
  font-size: 11px;
}

.mediumFontSize {
  font-size: 13px;
}

.largeFontSize {
  font-size: 15px;
}

#toolbarTranslate {
  font-size: 12px;
  a {
    color: #666;
  }
}

#toolbarBottom {
	right: 0;
  nav ul {
    font-size: $DefaultFontSize;
    li {
      border-left: 1px solid #666;
      height: 17px;
      &:first-child {
        border-left: none;
      }
      a {
        color: #666;
      }
    }
  }
}

.navTab {
	margin: 10px 0 0 0;
	li, .mainTabWorkforceHome, .mainTabWorkforceSearch, .mainTabExplore {
		a {
			border: none;
			background: #fff;
			color: $Blue100;
			text-transform: uppercase;
			font-weight: normal;
			font-size: 14px;
			padding: 4px 2px 10px 2px;
			&:hover {
				border: none;
				color: $Blue100;
				border-bottom: 3px solid $Orange100;
			}	
		}
		&.active {
			a {
				border: none;
				border-bottom: 3px solid $Orange100;
				color: $Blue100;
			}
		}
	}
}

#navBottomBorder {
	display: none;
}

#navShadowFix {
	display: none;
}

#main {
	padding: 0;
}

footer {
	border-top: none !important;
	#footerCopyright {
		color: $DefaultTextColour;
		font-size: 11px;
	}
	#footerLeft .instructions i {
		color: $DefaultTextColour;
		font-size: 11px;
	}
}
input[type='text'],
input[type='password'],
textarea,
select {
	border: 1px solid $DefaultBorderColour;
	color: $DefaultBorderColour;
	font-family: $DefaultFontFamily;
	font-size: $DefaultFontSize;
	font-weight: normal;
	height: 19px;
}
textarea {
	height: auto;
}

.FocusCareer {
	input[type='text'],
	input[type='password'],
	textarea,
	select,
	.customfile-feedback {
		border: 1px solid $DefaultBorderColour;
		color: $DefaultBorderColour;
		font-family: $DefaultFontFamily;
		font-size: $DefaultFontSize;
		font-weight: normal;
		height: 19px;
	}
	textarea {
		height: auto;
	}
	.inFieldLabel, .inFieldLabelStyled {
		color: $DefaultBorderColour;
		font-size: $DefaultFontSize;
	}
	h2 {
		font-size: 15px;
		color: $DefaultTextColour;
	}
	&.lightbox {
		input[type='text'],
		input[type='password'],
		textarea,
		select {
			border: 1px solid $DefaultBorderColour;
			color: $DefaultBorderColour;
			font-family: $DefaultFontFamily;
			font-size: $DefaultFontSize;
			font-weight: normal;
			height: 19px;
		}
		textarea {
			height: auto;
		}
	}
	.customStyleSelectBox {
		background: none !important;
		color: #ffffff;
		font-weight: bold;
		padding: 2px 5px 0px 8px;
		font-size: 12px;
		border: 1px solid $DefaultBorderColour !important;
		color: $DefaultBorderColour !important;
	}
	.boldedText {
		font-size: 18px;
	}
}

.buttonLevel2, .buttonLevel3, .customfile-button {
	font: normal 16px $DefaultFontFamily;
	background-color: #eee;
	border: 1px solid #ccc;
	text-transform: uppercase;
	color: $DefaultBorderColour;
	padding: 0 12px 1px 12px;
	height: 26px;
	&:hover {
		background-color: #eee;
		color: $DefaultTextColour;
		;
	}
}
.btn {
	text-transform: uppercase;
}
#btnHowToApply.buttonLevel2 {
	background: $Orange100;
	color: darken($Orange100, 30);
	border-color: darken($Orange100, 30);
	&:hover {
		background-color: $Orange100;
		color: darken($Orange100, 30);
	}
}

.tooltipster-career {
  border: 1px solid $DefaultBorderColour;
  background: #fff;
  color: $DefaultTextColour;
}

.lightboxHeading {
	color: $Orange100;
}
.lightboxOptions a {
	font-size: $DefaultFontSize;
}

.LoginRegisterHeaderPanel {
	color: #fff;
	font-weight: normal;
	font-size: 20px !important;
	background-color: $LightBlue75;
	&.on {
		background-color: $LightBlue75;
	}
	a {
		color: #fff;
	}
}

.homeMain {
	font-size: $DefaultFontSize;
}
.homeSideBar {
	font-size: $DefaultFontSize;
}
.bookmarkList {
	font-size: $DefaultFontSize;
}

table.jobList {
	td {
		font-size: $DefaultFontSize !important;
	}
}
table.homeJobList {
	td {
		font-size: $DefaultFontSize !important;
	}
}
.homeMain .collapsiblePanelHeader {
	border-top: 1px solid $DefaultBorderColour;
	color: #000;
	font-weight: normal;
	.collapsiblePanelControl {
		font-weight: normal;
		color: #6698c2;
	}
}
.homeSideBar .sideBarSection {
	border-bottom: 1px solid $DefaultBorderColour;
}

.dataInputLabel, .dataInputField {
	font-size: 12px;
}

.modal {
	border: 1px solid $DefaultBorderColour;
	th {
		color: $Blue100;
		&.th2 {
			background-color: $LightBlue75;
			font-size: 12px;
		}
	}
	h1, .modalTitle, .modalTitleLarge {
		color: $Blue100;
		font-size: 18px;
		padding-top: 0;
		&:before {
			display: none;
		}
	}
}

#divtimer {
	border: 1px solid $DefaultBorderColour;
}

.singleAccordionTitle, .advancedSearchAccordionTitle {
	background-color: #bfbfbf;
	border-top: 1px solid #7f7f7f;
	border-bottom: 1px solid #7f7f7f;
	height: 22px;
	line-height: 22px;
	&.singleAccordionStyle2 {
		background-color: #ccd8eb;
		border-color: #a4bcdd;
	}
	a {
		color: $DefaultTextColour !important;
		line-height: 22px;
	}
	img {
		margin: 0 0 0 5px;
	}
}

.singleAccordionContent {
	border-bottom: 1px solid #7f7f7f !important;
	&.singleAccordionStyle2 {
		border-color: $LightBlue50 !important;
		background-color: #fff;
	}
}

.accordionWithIcon {
	.multipleAccordionTitle, .multipleAccordionTitle2 {
		font-size: $DefaultFontSize;
		text-transform: none;
		background-color: #ccd8eb;
		td {
			border-top: 1px solid $LightBlue50;
		}
	}
	.accordionContent, .accordionContent2 {
		background: #fff;
		border-bottom: 1px solid $LightBlue50;
		table {
			background: #fff;
			border-bottom: none;
			td {
				font-size: $DefaultFontSize;
				color: $DefaultTextColour;
			}
		}
	}
}

#RCPNavigation {
	#RCPNavigationTop {
		width: 1152px;
		background-color: #bec9df;
		ul {
			width: 1152px;
			li {
				a {
					font-size: 14px;
					font-weight: normal;
					background-color: #bec9df;
					color: $DefaultTextColour !important;
					padding-left: 22px;
					padding-right: 43px;
					&:hover {
						;
					}
				}
				&.selected {
					a {
						background-color: $Blue75;
						color: #fff !important;
					}
					&.last {
						a {
							background-color: $Blue75;
						}
					}
				}
				&.selectedPrevious {
					a {
						background-color: #bec9df;
					}
				}
			}
		}
	}
	#RCPNavigationBottom {
		background: $Blue75;
		position: relative;
		top: -1px;
		ol {
			li {
				color: #fff;
				a {
					color: #fff !important;
					&:hover {
						;
					}
				}
			}
		}
	}
}

.landingPageNavigation {
	.lpItemHeaderText {
		color: #fff;
		font-size: 24px;
		width: 650px;
	}
	.lpItemHeaderBlueHint {
		font-size: 16px;
	}
	.lpItemContentLinkRowBlue {
		background-color: $Blue25 !important;
		border-bottom-color: $Blue50;
		.lpItemContentLinkText {
			color: darken($Blue100, 25);
			font-size: 24px;
		}
		.lpItemContentLinkBlueHint {
			left: 780px;
			font-size: 15px;
		}
	}
	.lpItemHeaderBlue {
		background-color: $Blue50;
		color: #fff;
		.lpItemHeaderBlueHint {
			left: 600px;
		}
	}
	.lpItemHeaderCyan {
		background-color: $LightBlue50 !important;
		color: darken($LightBlue100, 30);
		.lpItemHeaderText {
			color: darken($LightBlue100, 30);
		}
	}	
	.lpItemMed {
		.lpItemHeaderText {
			font-size: 20px;
		}
		.lpItemContentLinkRowBlue {
			.lpItemContentLinkText {
				font-size: 17px;
			}
			.lpItemContentLinkBlueHint {
				font-size: 12px;
				left: 600px;
			}
		}
	}
	.accordionTitleNew {
		font-size: 26px;
		&.accordionCreateEditResume {
			background-color: $LightBlue50 !important;
			color: darken($LightBlue100, 30);
		}
	}
	.multipleAccordionTitle.careersAndEducation {
		table {
			border-collapse: collapse;
			border-spacing: 0;
		}
		td {
			background: $LightBlue50;
			border: 1px solid $LightBlue50;
		}
	}
	.largeHeading {
		font-size: 26px;
		color: darken($LightBlue100, 30);
	}
}

.purpleSideBarLink {
	background: $Blue50;
	a {
		color: #fff;
	}
}
.blueSideBarLink {
	background: $LightBlue50;
	a {
		color: darken($LightBlue100, 30);
	}
}
.homeSideBar {
	.purpleSideBarLink, .blueSideBarLink {
		font-size: 14px;
	}
}

.breadcrumb {
	font-weight: normal;
}

.instructionalText {
	font-size: $DefaultFontSize !important;
	color: $DefaultTextColour !important;
}

.requiredDataLegend {
	font-size: $DefaultFontSize;
}

.selectedQuestionsInner {
	background-color: $LightBlue25;
}

.promoStyle4 {
	background: $Green75;
}
.promoStyle1, .promoStyle2, .promoStyle3 {
	border: none;
}
.promoStyle1, .promoStyle2 {
	background: none;
	font-size: 28px;
	color: darken($LightBlue100, 30);
	.content {
		font-size: 20px;
	}
}
.promoStyle1Arrow, .promoStyle2Arrow {
	display: none;
}
.promoStyle3 {
	background: $Orange100;
	color: darken($Orange100, 30);
	font-size: 14px;	
}
.promoStyle3Arrow {
	background: none;
}
.lightbox .promoStyle4 a, .lightbox .promoStyle4 .modalLink, .smallSize.promoStyle4 a, .smallSize.promoStyle4 .modalLink {
	color: darken($Green100, 30);
	font-size: 14px;
}
.lightbox .promoStyle3 {
	font-size: 14px;
}

.resumeSectionContent {
	.collapsiblePanel {
		border-top: 1px solid $LightBlue100;
		border-bottom: 1px solid $LightBlue100;
		.collapsiblePanelHeader {
			background: $LightBlue25;
			color: darken($LightBlue100, 30);
			font-size: 14px;
		}
		.collapsiblePanelContent {
			color: $DefaultTextColour;
		}
	}
	.collapsiblePanelHeaderLabel a {
		color: darken($LightBlue100, 30);
	}
	.resumeSectionSubHeading {
		color: darken($LightBlue100, 30);
		font-size: 15px;
		border-bottom-color: $DefaultBorderColour;
	}
	.resumeAddJob, .resumeJobTitle, .resumeContact {
		.dataInputLabel {
			font-size: 12px;
		}
	}
	.resumeWorkActivities {
		.resumeWorkActivitiesStatements {
			border-color: $DefaultBorderColour;
		}
	}
	.resumeJobDescription {
		.resumeJobDescriptionSelected {
			font-size: $DefaultFontSize !important;
		}
		&:first-child {
			border-top: none;
		}
		.resumeJobDescriptionOptions {
			font-size: $DefaultFontSize;
			color: $DefaultTextColour;
		}
	}
	.resumeContact {
		.additionalPhoneNumberControl {
			font-size: $DefaultFontSize;
		}
	}
	.resumeEducation {
		.requiredData {
			font-size: $DefaultFontSize;
		}
		.inFieldLabel {
			font-size: $DefaultFontSize;
			color: $DefaultTextColour;
		}
		.dataInputRow a {
			font-size: $DefaultFontSize;
		}
	}
	.resumePreferencesLocation {
		.dataInputGroupedItemHorizontal {
			font-size: $DefaultFontSize;
		}
	}
	.resumeOutputOptions {
		.dataInputLabel {
			font-size: $DefaultFontSize;
		}
	}
}

.resumeMissingInfoDetail {
	.collapsiblePanelHeader {
		font-size: $DefaultFontSize;
		line-height: 21px;
		text-transform: none;
		background-color: $LightBlue25;
		border-top: 1px solid $LightBlue50;
		border-bottom: 1px solid $LightBlue50;
		color: darken($LightBlue100, 30);
	}
}

.resumePreviewModal {
	.dataInputLabel {
		font-size: $DefaultFontSize;
	}
}

.myResumes {
	select {
		width: 245px !important;
	}
	.buttonLevel2 {
		top: 0;
	}
}

.collapsablePanel {
	.collapsableAccordionTitle, .collapsableAccordionTitle2 {
		background-color: $LightBlue25;
		font-size: $DefaultFontSize;
		text-transform: none;
		td {
			border-top: 1px solid $LightBlue50;
			border-bottom: 1px solid $LightBlue50;
			color: darken($LightBlue100, 30);
		}
	}
	.collapsableAccordionContent, collapsableAccordionContent2 {
		table td {
			color: $DefaultTextColour;
			font-size: $DefaultFontSize;
		}
		&.open {
			tr.last td {
				border-bottom: 1px solid $LightBlue50;
			}
		}
	}
}

.numberedAccordion {
	.multipleAccordionTitle, .multipleAccordionTitle2 {
		td {
			border-color: $DefaultBorderColour;
			color: $Blue100;
		}
		.column1 {
			font-size: 24px;
		}
	}
	.column2 {
		a {
			color: $Blue100;
		}
	}
	.column3 {
		a {
			font-weight: normal;
			color: #6698c2;
		}
	}
}

.myAccountModal {
	.collapsiblePanel {
		border-top: 1px solid $LightBlue100;
		border-bottom: 1px solid $LightBlue100;
		.collapsiblePanelHeader {
			background: $LightBlue25;
			color: darken($LightBlue100, 30);
			font-size: 14px;
			border: none;
		}
		.collapsiblePanelContent {
			color: $DefaultTextColour;
		}
	}
	.collapsiblePanelHeaderLabel a {
		color: darken($LightBlue100, 30);
	}
	.dataInputLabel {
		font-size: $DefaultFontSize;
		color: $DefaultTextColour;
	}
}

.jobPostingTools {
	border-color: $DefaultBorderColour;
}
iframe#PostingDetail {
	border: 1px solid $DefaultBorderColour;
}
.bookmarkLink {
	padding-left: 22px;
}

.jobPostingEmailModal {
	.emailDetailPanel {
		background: lighten($LightBlue25, 5);
		border-color: $LightBlue25;
	}
}
.jobPostingEmailModal, .jobPostingDetailModal {
	.dataInputLabel, .dataInputField {
		font-size: $DefaultFontSize;
	}
}

.horizontalBarChart {
	.column1 {
		color: $DefaultTextColour;
	}
	.column2 {
		background: $DefaultBorderColour;
	}
	.column3 {
		.bar {
			background: $Green100;
		}
		.percent {
			color: $DefaultTextColour;
		}
	}
}

.careerpathChartItem {
	font-size: $DefaultFontSize;
	.box {
		background: $LightBlue50;
		color: $DefaultTextColour;
		a {
			color: $DefaultTextColour;
		}
		td {
			padding-top: 10px;
		}
	}
	.arrowLineMiddle, .arrowLineBottom {
		background: $Blue100;
	}
}

.topJobTitles {
	font-size: $DefaultFontSize;
}

.standardPanel {
	.overlayPanelClosed {
		background: $LightBlue50;
		border: 1px solid $LightBlue100;
		color: darken($LightBlue100, 30);
		font-weight: normal;
		font-size: $DefaultFontSize;
		padding: 4px 10px 4px 8px;
	}
	.overlayPanelOpen {
		border: 1px solid $DefaultBorderColour;
		background: lighten($LightBlue25, 5);
		font-size: $DefaultFontSize;
		color: $DefaultTextColour;
		.title {
			color: $Blue100;
		}
	}
}

#MainReportFilter span.content {
	color: $Blue100;
	font-size: 22px;
}

.chartSalaryTrend {
	color: $DefaultTextColour;
	.chartLabels td {
		font-size: $DefaultFontSize;
	}
	.chartBars span {
		background: $Blue100;
	}
}

.information-panel {
 background-color: $LightBlue50;
 color: darken($LightBlue100, 30);
 font-size: $DefaultFontSize;
}

// resume preview
#lblReviewFormattedOutput {
	.font13, .font14, .font16 {
		font-family: $DefaultFontFamily !important;
	}
}

.jobSearchResultTitleLink {
	font-weight: bold;
}

.jobSearchResultsPromos {
	.promoStyle3Link, .promoStyle4 {
		min-height: 34px;
		padding: 14px 10px;
	}
	.promoStyle3Wrapper {
		margin-bottom: 24px;		
	}
	.promoStyle3 {
		width: auto;
		padding: 0;
	}
	.promoStyle3Arrow {
		display: none;
	}
	.promoStyle3Link {
		display: table-cell;
		vertical-align: middle;
		width: 305px;
		background: $Orange100;
		color: darken($Orange100, 30);
		@include rounded(6px, 6px, 6px, 6px);
	}
}

.panel-lightbox {
	border: 1px solid #a4bcdd;
	> .panel-heading {
		background-color: #ccd8eb;
		padding: {
			left: 10px;
			right: 10px;
		}
	}
	> .panel-body {
		background-color: #fff;
		color: #333;
	}
	> .panel-footer {
		background-color: #fff;
		border-top: none;
	}
}
